ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Antoine Levy-Lambert <anto...@gmx.de>
Subject Re: Re: Ant 1.7 release
Date Fri, 02 Jun 2006 15:54:27 GMT
Hi Dominique,

I think it is worth a try to build ant with Java 1.5 in one shot, and run tests on 1.2, 1.3,
1.4 and see how it behaves.

We could also change ProxyDiagnostics and call the 1.5 APIs which are in there using reflection/introspection.
There is also one test class which requires 1.5 to compile I think, so we could change it
too. In this case we could build Ant 1.7 in one shot using JDK 1.4 like 1.6.

We must find a solution which is simple for the release manager.

We also need to automate other steps of the release process such as PGP signing the build
artifacts.

Regards,

Antoine

> -------- Original-Nachricht --------
> Datum: Fri, 2 Jun 2006 09:22:43 -0500
> Von: Dominique Devienne <ddevienne@gmail.com>
> An: Ant Developers List <dev@ant.apache.org>
> Betreff: Re: Ant 1.7 release
> 
> >We simply can't.  Leaving the generics/erasure problem aside, there is
> > a way to ensure you don't compile against methods that are too new,
> > but it is painful: start building with JDK 1.2, compile what hasn't
> > been compiled by building with JDK 1.3, repeat with JDK 1.4 and 1.5.
> 
> What about "cross-compiling" against older JDK's by tweaking the
> bootclasspath/extdirs on Javac's command line?
> 
> We'd just need to keep older rt.jar files. Anyone tried that before?
> (I vaguely recall discussions around this). --DD
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
> For additional commands, e-mail: dev-help@ant.apache.org

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message